# Content copy

An action block that copy content provided by another app to external storage (SD card).

The fiber will pause until the content has been copied.

The content URI support the following URI schemes:

- `android.resource:` an app resource, i.e. android.resource://<app package>/<resource id>
- `content:` app content which must refer to binary content like an image or sound, and not structural content like a contact or calendar event
- `data:` in-line data, e.g. data:,Hello%2C%20World!
- `file:` an external storage file

The destination path can be set to an existing or new file, or to a directory where the file will be placed with an automatic name. The path to the actual content file saved is assigned to the content file variable.

## Input arguments

- Content URI — URI of the source content.
- Destination path — file or directory path to where the content will be copied, default is a file in the “Download” directory.

## Output variables

- Content file — variable to assign the path of the actual destination file.
- Content display name — variable to assign the display name as provided by the source app.
- Content MIME type — variable to assign the content MIME type, either provided by the source app or deduced from the filename.